export class EdelLayoutScrollComponent {
    constructor() {
        this.landscape = false;
    }
    render() {
        return h("slot", null);
    }
    hostData() {
        return {
            class: 'layout-scroll'
        };
    }
    componentDidLoad() {
        if (this.landscape) {
            this.hostElement.classList.remove('layout-scroll');
            this.hostElement.classList.add('layout-scroll--landscape');
        }
        else {
            this.hostElement.classList.add('layout-scroll');
            this.hostElement.classList.remove('layout-scroll--landscape');
        }
    }
    static get is() { return "edel-layout-scroll"; }
    static get properties() { return {
        "hostElement": {
            "elementRef": true
        },
        "landscape": {
            "type": Boolean,
            "attr": "landscape",
            "watchCallbacks": ["componentDidLoad"]
        }
    }; }
}
